.digimon-cards {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-gap: 10px;
}

.digimon-card {
  padding: 10px;
  background-color: #f5f5f5;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: background-color 0.2s;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.digimon-card:hover {
  background-color: #e0e0e0;
}

.digimon-image {
  max-width: 100%;
  max-height: 350px; /* Establece el tamaño máximo de altura deseado */
}

.digimon-details {
  margin-top: 10px;
}

.digimon-id {
  font-weight: bold;
}

.digimon-name {
  font-size: 18px;
}
